### Enumeration

# FwupdPlugin HidrawBusType

#### Declaration

    enum FwupdPlugin.HidrawBusType

#### Description

No description available.

#### Members

`FU_HIDRAW_BUS_TYPE_UNKNOWN`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_PCI`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_ISAPNP`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_USB`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_HIL`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_BLUETOOTH`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_VIRTUAL`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_ISA`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_I8042`

  No description available.

  - Value: `17`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_XTKBD`

  No description available.

  - Value: `18`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_RS232`

  No description available.

  - Value: `19`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_GAMEPORT`

  No description available.

  - Value: `20`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_PARPORT`

  No description available.

  - Value: `21`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_AMIGA`

  No description available.

  - Value: `22`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_ADB`

  No description available.

  - Value: `23`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_I2C`

  No description available.

  - Value: `24`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_HOST`

  No description available.

  - Value: `25`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_GSC`

  No description available.

  - Value: `26`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_ATARI`

  No description available.

  - Value: `27`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_SPI`

  No description available.

  - Value: `28`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_RMI`

  No description available.

  - Value: `29`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_CEC`

  No description available.

  - Value: `30`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_INTEL_ISHTP`

  No description available.

  - Value: `31`
  - Available since: 1.0
`FU_HIDRAW_BUS_TYPE_AMD_SFH`

  No description available.

  - Value: `32`
  - Available since: 1.0